Bug 139379 - PSMOUSE does not work with touchpad
PSMOUSE does not work with touchpad
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-15 12:46 EST by Parag Warudkar
Modified: 2015-01-04 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-20 13:46:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Warudkar 2004-11-15 12:46:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
The default kernel of FC3 has psmouse compiled in. It does not detect the Laptop's touchpad. USB mouse works. If the psmouse is compiled and loaded as a module later in the boot process it recognizes the touchpad and it functions as a PS/2 mouse properly.

Machine is a X86_64 Compaq laptop R3240US. Bug #139376  has details on cpuinfo, interrupts and loaded modules.  

Version-Release number of selected component (if applicable):
2.6.9-1.667

How reproducible:
Always

Steps to Reproduce:
1. Boot the default kernel. 
2. Laptop touchpad is not functional

Actual Results:  Laptop touchpad is not functional

Expected Results:  Touchpad should function normally as it does when psmouse is loaded as a module.

Additional info:
Comment 1 Jesse Dowell 2004-11-24 13:33:54 EST
I am experiencing the same problem. I have to recompile psmouse as a
module to get it to work.
Comment 2 Parag Warudkar 2005-01-20 13:45:26 EST
Update - With psmouse as a module, the mouse started working after I
did an BIOS upgrade to F.33 for the R3240 Compaq Laptop.

Note You need to log in before you can comment on or make changes to this bug.